Retrieves all the user week approval
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e59232d3-8121-4bde-94b8-f21e433c71aa",
"user_id": "d079141b-5cf3-4859-8ea1-68ab592aa0bf",
"approved_date_start": "2026-03-06T04:06:41.1565158+00:00",
"approved_date_end": "2026-03-06T04:06:41.1565158+00:00",
"date_approval": "2026-03-06T04:06:41.1565158+00:00",
"is_approved": true,
"approved_by_user_id": "0adb6fa0-0e0f-4938-ab6b-ee97cce0cc0a",
"modified_dateutc": "2026-03-06T04:06:41.1565158+00:00"
}